#
# spec file for package python-relatorio
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016-2017 Dr. Axel Braun
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with tests
%define         mod_name relatorio
Name:           python-relatorio
Version:        0.8.0
Release:        lp150.1.3
Summary:        Python module to create reports from Python objects
License:        GPL-3.0+
Group:          Productivity/Office/Management
Url:            https://pypi.python.org/pypi/relatorio
Source:         https://pypi.io/packages/source/r/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildRequires:  %{python_module Genshi}
BuildRequires:  %{python_module lxml}
# It requires different magic for tests https://github.com/ahupp/python-magic
#BuildRequires:  %{python_module magic}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-Genshi
Requires:       python-PyYAML
Requires:       python-lxml
Requires:       python-pycha
BuildArch:      noarch
%python_subpackages

%description
This is a Python module to create reports from Python objects.
Output plugins to several formats are included, such
as documents (odt, ods, pdf) or images (png, svg).

%prep
%setup -q -n %{mod_name}-%{version}

%build
%python_build

%install
%python_install

%if %{with tests}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%doc README AUTHORS LICENSE
%{python_sitelib}/*

%changelog
* Mon Dec 11 2017 tchvatal@suse.com
- Explain why the tests are conditioned around
- Specify all the runtime dependencies based on setup.py
* Sat Dec  9 2017 axel.braun@gmx.de
- version 0.8.0
  * Do not guess_type on styled cell content
  * Remove type attributes when guessing type
  * Add support for Python 3.6
  * Remove soft-page-break
  * tests added to spec file
* Fri Oct 20 2017 axel.braun@gmx.de
- Version 0.7.1 - Bugfix release
  * Remove warning when import plugin fails
  * Apply the guess type function on the correct node
  * Fix guess_type for date and datetime
* Sun Jul 30 2017 axel.braun@gmx.de
- Version 0.7.0
  * Replace hard-coded extensions by mimetypes guess
  * Add more guess types: 'boolean', 'date', 'time' and 'void'
  * Add support for Flat OpenDocument
* Wed Mar  8 2017 axel.braun@gmx.de
- changes for singlespec
* Sun Dec 18 2016 axel.braun@gmx.de
- version 0.6.4
  * Use StringIO instead of BytesIO for TextSerializer result
* Thu Aug 25 2016 axel.braun@gmx.de
- LICENSE file added
* Sun Aug 14 2016 axel.braun@gmx.de
- fixed link to pypi
* Thu Jun 30 2016 axel.braun@gmx.de
- version 0.6.3
  changed naming of .changes file
* Sat Sep 19 2015 axel.braun@gmx.de
- version 0.6.2
* Fri Jul 10 2015 axel.braun@gmx.de
- Version 0.6.1
* Fri Oct 18 2013 p.drouand@gmail.com
- Initial package ( version 0.6.0 )
